Back to the Vavoom Forum Archives


Forum

[Fixed] [1.20] FLAC

Fri, 30 Jun 2006 12:24:42

Phenax

This is tried with FLAC 1.1.1 and 1.1.2-r7 (Latest.) Gentoo AMD64
/usr/lib/gcc/x86_64-pc-linux-gnu/3.4.6/../../../../x86_64-pc-linux-gnu/bin/ld: skipping incompatible /usr/lib64/libFLAC++.so when searching for -lFLAC++
/usr/lib/gcc/x86_64-pc-linux-gnu/3.4.6/../../../../x86_64-pc-linux-gnu/bin/ld: skipping incompatible /usr/lib64/libFLAC++.a when searching for -lFLAC++
/usr/lib/gcc/x86_64-pc-linux-gnu/3.4.6/../../../../x86_64-pc-linux-gnu/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-pc-linux-gnu/3.4.6/../../../libFLAC++.so when searching for -lFLAC++
/usr/lib/gcc/x86_64-pc-linux-gnu/3.4.6/../../../../x86_64-pc-linux-gnu/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-pc-linux-gnu/3.4.6/../../../libFLAC++.a when searching for -lFLAC++
/usr/lib/gcc/x86_64-pc-linux-gnu/3.4.6/../../../../x86_64-pc-linux-gnu/bin/ld: skipping incompatible /usr/lib/libFLAC++.so when searching for -lFLAC++
/usr/lib/gcc/x86_64-pc-linux-gnu/3.4.6/../../../../x86_64-pc-linux-gnu/bin/ld: skipping incompatible /usr/lib/libFLAC++.a when searching for -lFLAC++
/usr/lib/gcc/x86_64-pc-linux-gnu/3.4.6/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lFLAC++
collect2: ld returned 1 exit status
make: *** [Vavoom] Error 1

!!! ERROR: games-fps/vavoom-1.20 failed.
Fri, 30 Jun 2006 14:17:53

scen

This happens because flac libs are compiled in "64bit" mode, while vavoom-1.20 is compiled (through multilib feature) in "32bit" mode. This is an annoying issue, i'll try to fix the ebuild. For now, disable "flac" USE flag for vavoom
echo 'games-fps/vavoom -flac' >> /etc/portage/package.use
IMHO it is not essential (High-Quality Music/Sound files are in MP3 or OGG format, so you need only "vorbis" and "mad" USE enabled)
Fri, 30 Jun 2006 15:26:28

Phenax

Thanks buddy, I'll disable flac for now. Mainly enabled it because one of my favorite bands offer flac files <!-- s:D --><img src="{SMILIES_PATH}/icon_biggrin.gif" alt=":D" title="Very Happy" /><!-- s:D --> No biggie. HOPEFULLY after this being my second issue I'll be all up playing Vavoom soon. <!-- s:) --><img src="{SMILIES_PATH}/icon_smile.gif" alt=":)" title="Smile" /><!-- s:) --> *EDIT* MAD does the same thing, I try to disable it <!-- s:( --><img src="{SMILIES_PATH}/icon_sad.gif" alt=":(" title="Sad" /><!-- s:( -->
Fri, 30 Jun 2006 15:29:57

Phenax

Compiled successfully w/o MAD or FLAC. I'd love using them both, hopefully fix soon.
Fri, 30 Jun 2006 17:31:12

scen

To use MAD support by Vavoom in Gentoo AMD64, you must install app-emulation/emul-linux-x86-medialibs:
emerge --oneshot emul-linux-x86-medialibs
I'll fix the dependencies in the ebuild and update the bug shortly! Thanks for the report <!-- s:) --><img src="{SMILIES_PATH}/icon_smile.gif" alt=":)" title="Smile" /><!-- s:) -->

Back to the Vavoom Forum Archives